## ht-el 2.2

=== Makefile ===
EMACS ?= emacs
CASK ?= cask

all: test

test: clean-elc
	${MAKE} unit
	${MAKE} compile
	${MAKE} unit
	${MAKE} clean-elc

unit:
	${CASK} exec ert-runner

compile:
	${CASK} exec ${EMACS} -Q -batch -f batch-byte-compile ht.el

clean-elc:
	rm -f ht.elc

.PHONY:	all test unit compile

## ht-el 2.1

=== debian/changelog ===
ht-el (2.1-1) unstable; urgency=medium

  * Initial release (Closes: #854824)

 -- Lev Lamberov <dogsleg@debian.org>  Fri, 10 Feb 2017 23:58:25 +0500

=== debian/control ===
Source: ht-el
Section: lisp
Priority: optional
Maintainer: Debian Emacs addons team <pkg-emacsen-addons@lists.alioth.debian.org>
Uploaders: Lev Lamberov <dogsleg@debian.org>
Build-Depends: debhelper (>= 10),
               dh-elpa,
               dash-el
Standards-Version: 3.9.8
Testsuite: autopkgtest-pkg-elpa
Homepage: https://github.com/Wilfred/ht.el
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-emacsen/pkg/ht-el.git/
Vcs-Git: https://anonscm.debian.org/git/pkg-emacsen/pkg/ht-el.git

Package: elpa-ht
Architecture: all
Depends: ${elpa:Depends},
         ${misc:Depends},
         dash-el,
         emacsen-common (>= 2.0.8)
Recommends: emacs (>= 46.0)
Enhances: emacs,
          emacs24,
          emacs25
Built-Using: ${misc:Built-Using}
Description: hash table library for Emacs
 The missing hash table library for Emacs. Libraries like `s.el'
 (strings) and `dash.el' (lists) have shown how much nicer Emacs Lisp
 programming can be with good libraries. `ht.el' aims to similarly
 simplify working with hash tables.
 .
 Common operations with hash tables (e.g. enumerate the keys) are too
 difficult in Emacs lisp.
 .
 `ht.el' offers:
 .
  * a consistent naming scheme;
  * a more natural argument ordering;
  * a more comprehensive range of hash table operations;
  * mutation functions always return nil.

## ht-el 2.2

=== debian/changelog ===
ht-el (2.2-1) unstable; urgency=medium

  * New upstream version 2.2
  * d/control: Declare Standards-Version 4.1.1 (no changes needed)
  * d/control: Clean dependencies (remove dash-el and emacsen-common)
  * d/control: Remove emacs24 from Enchances field
  * d/control: Remove Built-Using field
  * d/control: Capitalize Emacs Lisp properly in description

 -- Lev Lamberov <dogsleg@debian.org>  Wed, 15 Nov 2017 13:23:18 +0500

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Build-Depends: debhelper (>= 10),
                dh-elpa,
                dash-el
-Standards-Version: 3.9.8
+Standards-Version: 4.1.1
 Testsuite: autopkgtest-pkg-elpa
 Homepage: https://github.com/Wilfred/ht.el
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-emacsen/pkg/ht-el.git/
@@ -15,14 +15,10 @@
 Package: elpa-ht
 Architecture: all
 Depends: ${elpa:Depends},
-         ${misc:Depends},
-         dash-el,
-         emacsen-common (>= 2.0.8)
+         ${misc:Depends}
 Recommends: emacs (>= 46.0)
 Enhances: emacs,
-          emacs24,
           emacs25
-Built-Using: ${misc:Built-Using}
 Description: hash table library for Emacs
  The missing hash table library for Emacs. Libraries like `s.el'
  (strings) and `dash.el' (lists) have shown how much nicer Emacs Lisp
@@ -30,7 +26,7 @@
  simplify working with hash tables.
  .
  Common operations with hash tables (e.g. enumerate the keys) are too
- difficult in Emacs lisp.
+ difficult in Emacs Lisp.
  .
  `ht.el' offers:
  .

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with elpa

override_dh_auto_build:
	@echo skipping upstream build

.PHONY: override_dh_auto_build

## ht-el 2.3

=== debian/changelog ===
ht-el (2.3-3) unstable; urgency=medium

  * Team upload.
  * Rebuild against dh-elpa 2.1.5.
    Upload pushed to dgit-repos but not salsa.
    See <https://lists.debian.org/debian-emacsen/2024/07/msg00077.html>.

 -- Sean Whitton <spwhitton@spwhitton.name>  Thu, 25 Jul 2024 22:13:35 +0900

ht-el (2.3-2) unstable; urgency=medium

  * d/control: Build-Depend on elpa-dash, not dash-el (Closes: #995584)
  * d/control: Declare Standards-Version 4.6.0 (no changes needed)

 -- Lev Lamberov <dogsleg@debian.org>  Thu, 14 Oct 2021 22:22:53 +0500

ht-el (2.3-1) unstable; urgency=medium

  * New upstream version 2.3
  * Add upstream metadata
  * d/control: Declare Standards-Version 4.5.1 (no changes needed)
  * d/control: Migrate to debhelper-compat 13
  * d/copyright: Bump copyright years
  * d/rules: Install upstream changelog

 -- Lev Lamberov <dogsleg@debian.org>  Wed, 20 Jan 2021 10:40:16 +0500

ht-el (2.2-2) unstable; urgency=medium

  * Migrate to dh 12
  * d/control: Change Vcs-{Browser,Git} URL to salsa.debian.org
  * d/control: Update Maintainer (to Debian Emacsen team)
  * d/control: Declare Standards-Version 4.3.0 (no changes needed)
  * d/control: Drop emacs25 from Enhances
  * d/control: Add Rules-Requires-Root: no
  * d/copyright: Update copyright information

 -- Lev Lamberov <dogsleg@debian.org>  Sat, 02 Feb 2019 14:41:28 +0500

=== debian/control ===
Source: ht-el
Section: lisp
Priority: optional
Maintainer: Debian Emacsen team <debian-emacsen@lists.debian.org>
Uploaders: Lev Lamberov <dogsleg@debian.org>
Build-Depends: debhelper-compat (= 13),
               dh-elpa,
               elpa-dash
Standards-Version: 4.6.0
Rules-Requires-Root: no
Testsuite: autopkgtest-pkg-elpa
Homepage: https://github.com/Wilfred/ht.el
Vcs-Browser: https://salsa.debian.org/emacsen-team/ht-el
Vcs-Git: https://salsa.debian.org/emacsen-team/ht-el.git

Package: elpa-ht
Architecture: all
Depends: ${elpa:Depends},
         ${misc:Depends}
Recommends: emacs (>= 46.0)
Enhances: emacs
Description: hash table library for Emacs
 The missing hash table library for Emacs. Libraries like `s.el'
 (strings) and `dash.el' (lists) have shown how much nicer Emacs Lisp
 programming can be with good libraries. `ht.el' aims to similarly
 simplify working with hash tables.
 .
 Common operations with hash tables (e.g. enumerate the keys) are too
 difficult in Emacs Lisp.
 .
 `ht.el' offers:
 .
  * a consistent naming scheme;
  * a more natural argument ordering;
  * a more comprehensive range of hash table operations;
  * mutation functions always return nil.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with elpa

override_dh_auto_build:
	@echo skipping upstream build

override_dh_installchangelogs:
	dh_installchangelogs CHANGELOG.md
	dh_installchangelogs

.PHONY: override_dh_auto_build override_dh_installchangelogs
